package com.xmlglobal.ebxml.iic;
import org.oasis.ebxmliic.ms.*;
import java.util.*;


public abstract class EventHelper
{
    protected List mLstnrs = new Vector();
    
    public void addListener(TestListener tl)
    {
        mLstnrs.add(tl);   
    }

    public void removeListener(TestListener tl)
    {
        mLstnrs.remove(mLstnrs.indexOf(tl));   
    }
    public void setListeners(List l)
    {
        this.mLstnrs = l;
    }    
    public void fireTestStarted(TestEvent te)
    {
        for (int i = 0; i < mLstnrs.size(); i++)
        {
            TestListener tl = (TestListener)mLstnrs.get(i);
            tl.testStarted(te);   
        }
    }
    
    public void fireTestFailed(TestEvent te)
    {
        for (int i = 0; i < mLstnrs.size(); i++)
        {
            TestListener tl = (TestListener)mLstnrs.get(i);
            tl.testFailed(te);   
        }
    }
    
    public void fireTestPassed(TestEvent te)
    {
        for (int i = 0; i < mLstnrs.size(); i++)
        {
            TestListener tl = (TestListener)mLstnrs.get(i);
            tl.testPassed(te);   
        }
    }
}
