package org.oasis.ebxmliic.ms;

public interface SemanticRequirement
    extends XmlSerializable
{
    Assertion createAssertion();
    Condition createCondition();
    void addAssertion(Assertion s);
    void removeAssertion(Assertion sr);
    Assertion getAssertion(int idx);
    int countAssertions();
    java.util.List getAllAssertions();
    void removeAllAssertions();
    
    void addCondition(Condition s);
    void removeCondition(Condition sr);
    Condition getCondition(int idx);
    int countConditions();
    java.util.List getAllConditions();
    void removeAllConditions();
    
    void setId(String id);
    String getId();
    void setSpecRef(String sr);
    String getSpecRef();
    void setName(String name);
    String getName();
    void setRequirementType(String ft);
    String getRequirementType();
}
