package com.xmlglobal.ebxml.iic;

import org.apache.tools.ant.*;
import java.io.*;
import java.util.*;

public class AntExecutor
{
    private Project mProject;
   
    public AntExecutor(File buildFile, BuildListener bl)
        throws Exception
    {
        mProject = new Project();
        mProject.init();
        mProject.addBuildListener(bl);
        mProject.setUserProperty(
                    "ant.file", 
                    buildFile.getAbsolutePath());
        Class.forName("javax.xml.parsers.SAXParserFactory");
        ProjectHelper.configureProject(mProject, buildFile);
        
    }
    
    public void execute(String target)
    {
        mProject.executeTarget(target);
    }
}