package org.oasis.ebxmliic.ms;
import java.util.List;

public interface TestRequirement
    extends XmlSerializable
{
    SemanticRequirement createSemanticRequirement();
    void addSemanticRequirement(SemanticRequirement s);
    void removeSemanticRequirement(SemanticRequirement sr);
    SemanticRequirement getSemanticRequirement(int idx);
    int countSemanticRequirements();
    java.util.List getAllSemanticRequirements();
    void removeAllSemanticRequirements();
    void writeTo(java.io.OutputStream os) throws java.io.IOException;
    void executeTest();
    void setTestListeners(List l);
    void setId(String id);
    String getId();
    void setSpecRef(String sr);
    String getSpecRef();
    void setName(String name);
    String getName();
    void setFunctionalType(String ft);
    String getFunctionalType();
}
